Subject: Re: rib_trie / Fix inflate_threshold_root. Now=15 size=11 bits

From: Paweł Staszewski <[email-masked]>
Date: Mon, 29 Jun 2009 11:43:54 +0200

Jarek Poplawski pisze:
> On Mon, Jun 29, 2009 at 10:47:44AM +0200, Paweł Staszewski wrote:
>   
>> But
>> With all this patches i have the same problem with CPU load
>> Every time when route cache entries are purged cpu load is increasing  
>> from 1% to 40 / 80% it depends
>>
>> I see that on 64bit machine when route cache entries are going down i  
>> have almost 80% load on each cpu where ethernet card is binded by  
>> smp_affinity
>> But on 32bit machine cpu load reported by mpstat is half that on 64bit  
>> machine
>> here is example from 32bit machine ( mpstat + rtstat -k entries )
>>
>> Linux 2.6.29.5 (TM_02_C1)       06/29/09        _i686_  (2 CPU)
>>
>> 12:36:54     CPU    %usr   %nice    %sys %iowait    %irq   %soft  %steal  
>> %guest   %idle        RT CACHE ENTRIES (from rtstat)
>> 12:36:57     all    0.00    0.00    0.00    0.00    1.51   15.08    0.00  
>>   0.00   83.42        83346
>>     
>
> I guess Eric is thinking about this. Btw., two little suggestions:
> it should be easier to track if these route cache reports stay in its
> starting thread ("weird problem"?), and if you could send these
> stats/logs as attachements or turn off line wrapping, please? ;-)
>
> Thanks,
> Jarek P.
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>
>
>   
Sorry Jarek for combining problems :)
And yes i will apply next stats in attachements :)